import "DigitalUtopia.DUInterface";
import "DigitalUtopia.Utilsx";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
import "DigitalUtopia.LotroMaps";

ClearDdb = class( DigitalUtopia.DUInterface.DropDownBox);
function ClearDdb:Constructor(itemList)
	DigitalUtopia.DUInterface.DropDownBox.Constructor(self,itemList);
	self.listBox:SetBackColor(Turbine.UI.Color(.5,0,0,0));
	self.text:SetBackColor(Turbine.UI.Color(.4,0,0,0));
	self.arrow:SetZOrder(35);
	self.text:SetZOrder(30);
	
	self.arrow.MouseClick =function(sender,args)
		if (self.disabled==false)then
			self.text:SetForeColor(Turbine.UI.Color(1,1,1));
			self.text:SetFontStyle(Turbine.UI.FontStyle.Outline );
			self.text:SetOutlineColor(Turbine.UI.Color(.69,.482,.015));
			if (self.show == false)then
				self.show = true;
				self.update();
				self.listBox:SetVisible(true);
				self.Opening();
				self:SetHeight(self.listBox:GetHeight()+20);
				self.arrow:SetBackground("DigitalUtopia/DUInterface/Resources/dropdown_arrow_open_rollover.tga");
			else
				self.show = false;
				self.listBox:SetVisible(false);
				self:SetHeight(20);
				self.arrow:SetBackground("DigitalUtopia/DUInterface/Resources/dropdown_arrow_closed_rollover.tga");
			end	
		end
	end
end